summaryrefslogtreecommitdiff
path: root/dev-python/msgspec/msgspec-0.21.0.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/msgspec/msgspec-0.21.0.ebuild
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/msgspec/msgspec-0.21.0.ebuild')
-rw-r--r--dev-python/msgspec/msgspec-0.21.0.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/msgspec/msgspec-0.21.0.ebuild b/dev-python/msgspec/msgspec-0.21.0.ebuild
new file mode 100644
index 000000000000..ec311215b7c7
--- /dev/null
+++ b/dev-python/msgspec/msgspec-0.21.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast serialization and validation library, with builtin support for many formats"
+HOMEPAGE="
+ https://jcristharif.com/msgspec/
+ https://github.com/jcrist/msgspec
+ https://pypi.org/project/msgspec/
+"
+# No tests in sdist
+SRC_URI="https://github.com/jcrist/msgspec/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-scm-8[${PYTHON_USEDEP}]
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Lint tests
+ tests/unit/test_cpylint.py
+ )
+
+ rm -rf msgspec || die
+ epytest tests/unit
+}